#
# spec file for package kdebugsettings
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdebugsettings
Summary:        A KDebug settings module for KDE
License:        GPL-3.0
Group:          System/GUI/KDE
Version:        15.07.90
Release:        0
Url:            https://github.com/rthomsen/kcmsystemd/
Source0:        kdebugsettings-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kio-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDebug control module for KDE. It provides a graphical frontend for the
kdebug daemon, which allow enabling or disabling particular debug areas/messages.

%prep
%setup -q -n kdebugsettings-%{version}

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%suse_update_desktop_file org.kde.kdebugsettings Utility DesktopUtility

%files
%defattr(-,root,root)
%doc COPYING
%config %{_sysconfdir}/xdg/kde.categories
%{_kf5_bindir}/kdebugsettings
%{_kf5_applicationsdir}/org.kde.kdebugsettings.desktop

%changelog
